/*global style*/
h1,h2,h3,h4,h5 {font-family: var(--highlight-font-family) !important;font-weight:var(--header-font-weight) !important;}
h1 {font-size:1.8em !important}
h2 {font-size:1.3em !important}
h3 {font-size:1.15em !important}
h4 {font-size:1em !important}
h5 {font-size:0.9em !important;font-weight:800}
h6 {font-size:1.8em !important;font-family:var(--outline-font-family) !important;font-weight:normal}}
.buddypress h2 {font-size:21px !important}
button, .button, .wp-block-button__link {font-family: var(--global-font-family) !important;font-weight:var(--button-font-weight) !important}
h1.has-background, h2.has-background, h3.has-background, h4.has-background, h5.has-background, h6.has-background {padding:12px 25px;font-family: :var(--global-font-family) !important;font-weight:normal}
.site-footer {padding-top:70px;background-position:50% 80% !important}
.sticky-bg-left {position:absolute !important;left:0}
.sticky-bg-right {position:absolute !important;right:0}

/* menu */
	.primary-menu-container.buddyx-desktop-menu {background:var(--bg-light) !important;}
  .main-navigation ul li>a {color:var(--text) !important;font-family:var(--global-font-family) !important;font-weight:normal !important}
  .main-navigation .user-profile-menu li a {color:var(--accent) !important}
	.main-navigation ul li>a:hover,
	.main-navigation ul li.current-menu-item>a {color:var(--accent) !important}

.flytrigger:hover .triggerbutton div {background:var(--accent)}
.flytrigger:hover .menulabel {color:var(--accent)}
.darklogo .transbg .flytrigger .triggerbutton div {background:var(--accent)}
.darklogo .transbg .flytrigger .menulabel {color:var(--accent)}
.darklogo .transbg .flytrigger:hover .triggerbutton div {background:var(--text)}
.darklogo .transbg .flytrigger:hover .menulabel {color:var(--text)}

.no-header .site-sub-header {display:none}
.featured-media,
.single-videoclass .entry-header,
.single-retreats .entry-header,
.single-zoom .entry-header,
.single-teachers .entry-header,
.single-archived .entry-header,
.single-studio .entry-header {display:none !important}


.blogheader .subheader {border-radius:30px}

/* SEO bar */
#seopress-user-consent-accept, #seopress-user-consent-close {border-radius:30px !important;text-transform:none !important}


@media only screen and (max-width: 599px) {
.blogheader .subheader {border-radius:6px}
.uagb-post__image {margin:-20px -20px 10px -20px !important}
}
/* user menu */
@media only screen and (min-width: 769px) {
	.mobileuser {display:block}
  .user-link-wrap {display:none !important}
  .desktop-icons {display:flex;align-items:center}
  .mobiletrigger-dt {margin-left:10px;cursor:pointer}
}
@media only screen and (min-width: 769px) {
	.user-notifications {display:none !important}
	body:not(.logged-in) .mobiletrigger,body:not(.logged-in) .mobileuser {display:none}
	.mobiletrigger {margin-left:5px;color: var(--color-menu) !important}
	.mobileuser {position:fixed;padding:60px 30px 30px;background:var(--diap);width:300px;top:60px;right:-350px;box-shadow:-10px 10px 20px rgba(0,0,0,0.1);-webkit-transition: 0.3s ease-in-out;transition: 0.3s ease-in-out;}
	.admin-bar .mobileuser {top:106px} 
	.mobileuser.active {right:0}
	.close-btn-container {width: 100%;margin:-40px 0 20px;position:relative;display:flex;justify-content:flex-start;padding-left:5px}
	.mobileuser .close-btn {width: 30px;height: 30px;position:relative;display: flex;flex-direction: column;padding-top:15px;cursor:pointer}
	.mobileuser .close-btn div {width:30px;height:2px;background:var(--brand-1)}
	.mobileuser .close-btn div.line-1 {-webkit-transform: rotate(-45deg) translateY(1px) translateX(-1px);transform: rotate(-45deg) translateY(1px) translateX(-1px) }
	.mobileuser .close-btn div.line-2 {-webkit-transform: rotate(45deg);transform: rotate(45deg) ;} 
	.mobileuser .close-btn:hover div.line-1,
	.mobileuser .close-btn:hover div.line-2 {;height:1px;-webkit-transform: rotate(0deg) translate(0);transform: rotate(0deg) translate(0);-webkit-transition: 0.3s ease-in-out;transition: 0.3s ease-in-out;} 

	.mobile-side-menu {margin:0;padding:0;list-style:none}
	.mobile-side-menu li {padding:5px 0}
	.mobile-side-menu li a,.welcomeuser {font-size:1.1em;padding:5px;color:var(--brand-1) }
	.mobile-side-menu li a:hover {background:var(--brand-3);color:var(--diap)}
	.mobile-side-menu li.current-menu-item a {color:var(--brand-1) !important;font-weight:600 !important}
	
}


/* mediaboxes */
.media-boxes-drop-down:first-child, .media-boxes-drop-down:first-child .media-boxes-drop-down-menu {min-width:250px !important}
.media-boxes-drop-down {border: 2px solid var(--brand-1);border-radius: 30px;}
.media-boxes-drop-down span {color:var(--accent)}
.media-boxes-drop-down ul {padding-top:5px !important}
.media-boxes-drop-down-header {background-color:transparent;font-size:14px;font-family: var(--highlight-font-family);font-weight:800;color:var(--brand-1)}
.collectionheader .innertext {min-height:170px}
.drop_zone_1 {margin-top:10px !important}
.media-boxes-load-more-button {background-color:var(--brand-1) !important;color:var(--diap);font-family:var(--global-font-family);font-weight:600;border-radius:30px;opacity:1 !important}
.media-boxes-load-more-button.media-boxes-no-more-entries {background-color:var(--accent) !important}
.collectionheader .collectionimg {-webkit-transition: 0.3s ease-in-out;transition: 0.3s ease-in-out;}
.media-boxes-drop-down-menu > li a {font-family:var(--global-font) !important;font-weight:600 !important; font-size:14px !important;position:relative;z-index:1}
.media-boxes-drop-down-menu > li a:after {content:"";position:absolute;display:block;opacity:0;width:70%;height:12px;border-radius:4px;bottom:6px;right:50%;background-color:var(--bg-orange);z-index:-1}
.media-boxes-drop-down-menu > li a:hover:after{right:25%;opacity:1;-webkit-transition: 0.3s ease-in-out;transition: 0.3s ease-in-out;}
.entry-footer {border-top:none !important}
.single-videoclass .entry-taxonomies {display:none}
.collectionimg, .collectionheader .innertext {opacity:0}
h2 a {position:relative}
h2 a:after {content:"";position:absolute;width:16px;height:16px;top:7px;right:-20px;background:url(/files/yoga/icons/chevron-right.svg) no-repeat;background-size:cover}
h2 a:hover:after {filter: invert(53%) sepia(12%) saturate(1686%) hue-rotate(332deg) brightness(98%) contrast(102%);}

/* Woo hide shop items */
.woocommerce-notices-wrapper li,.woocommerce-notices-wrapper li:focus {outline:none !important}
.woocommerce-result-count, .woocommerce-ordering, ul.products.columns-3 {display:none}

/* force aspect ration video posters */
.uagb-post-grid.is-grid.uagb-post__image-position-top .uagb-post__image a {position: relative;
  width: 100%;
  padding-top: 56.25%; /* 16:9 ratio */
  overflow: hidden;}
  .uagb-post-grid.videogrid.is-grid.uagb-post__image-position-top .uagb-post__image a.uagb-image-ratio-inherit img { position: absolute !important;
  top: 0; left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover; /* no stretching */}
  .retreats-archive .uagb-post-grid.is-grid.uagb-post__image-position-top .uagb-post__image a {padding-top: 0}
  .uagb-post__text.uagb-post-grid-byline {display:none !important}
  .uagb-post__title.uagb-post__text {padding: 10px 0 10px !important}

/* tabs */
.kt-tab-inner-content-inner .ttb-widget.event {background: rgba(122,126,99,0.1)}
.kt-tab-inner-content-inner .ttb-widget.event .notice {background:transparent}
.kt-tab-inner-content-inner .tte-occ-row {border-radius:30px}
.kt-tab-inner-content-inner .tte-occ-row:hover {background: var(--brand-3)}
.kt-tab-inner-content-inner .event .tte-form {background:transparent}

	
/* collections */
.subscribelink  a {color:var(--brand-1) !important}
.subscribelink a:hover {color:var(--accent) !important}
.container.videoclass-archive {margin:40px 0 100px}

/* list style */
ol.wp-block-list, ul.wp-block-list {margin: 0 !important}
ul.wp-block-list {
  list-style: none !important;
  padding-left:0 !important;
}
ul.wp-block-list > li {
  padding-left: 25px !important;
  position:relative;
}
ul.wp-block-list > li:before {
  content: "";
    position: absolute;
    left: 0;
    background: url(/files/yoga/icons/star.svg) no-repeat;
    width: 14px;
    height: 14px;
    top: 6px;
    filter: var(--brand-1-filter);
}
  ul.wp-block-list.accent > li:before {
    filter: var(--accent-filter);
  }
  ul.wp-block-list.white > li:before {
    filter: var(--diap-filter);
  }
.wp-block-quote {border-top:none;border-right:none;border-bottom:none}
.entry-taxonomies a {color:var(--accent)}
.entry-taxonomies a:hover {text-decoration:underline}

/* blog */
.blog .post-meta-category,
.category-links.term-links,
.post-meta-category {display:none !important}
.post-template-default .post-thumbnail,
.post-template-default .entry-content p {margin-bottom:20px}
.blog .entry-header-title {margin-top:10px}
.blog .entry-meta__content {line-height:1.5}
@media (max-width: 599px) {
		.post-template-default .post-thumbnail {margin: 0 15px !important;width:calc(100% - 30px) !important}
}


/* tabbed events */
.wp-block-kadence-tab {padding:0 !important}
.wp-block-kadence-tab h4#event-signup {display:none}
.wp-block-kadence-tab .ttb-widget.event {width:auto !important;margin-left:unset !important}
.wp-block-kadence-tab button.tte-multi-book {margin-top:20px}

/* accordeon */
.kt-accordion-header-wrap {margin-bottom:8px !important}
.kt-blocks-accordion-header .kt-blocks-accordion-title {font-family:var(--highlight-font-family) !important;font-weight:var(--header-font-weight) !important}
.kb-adv-form-submit-button {margin-bottom:15px !important}
@media (max-width: 599px) {
.kt-blocks-accordion-header .kt-blocks-accordion-title {font-size:17px !important}
}

/* newsletter */
@media (min-width: 769px) {
#sib_signup_form_1 .sib-NAME-area,#sib_signup_form_1 .sib-email-area {width:48%;display:inline-block}
}

/* Scroll animation */
.scroll-anim {
  /* Defaults (override per element inline or in a class) */
  --distance: 24px;    /* travel distance */
  --p: 0;              /* progress 0..1 set by JS */
  --dx: -1;            /* horizontal direction scalar */
  --dy: 0;             /* vertical direction scalar */

  transform: translate3d(
    calc(var(--dx) * var(--distance) * (1 - var(--p))),
    calc(var(--dy) * var(--distance) * (1 - var(--p))),
    0
  );
  /* Fade in with progress (0 → 1) */
  opacity: clamp(0, var(--p), 1);

  will-change: transform, opacity;
}

/* Respect reduced motion */
@media (prefers-reduced-motion: reduce) {
  .scroll-anim { --p: 1 !important; transform: none !important; opacity: 1 !important; }
}

/*newsletter small popup*/
.wp-block-uagb-container.newsletter-small {position:fixed !important;bottom:30px;right:30px;z-index:100;display:none;width:400px !important}
.newsletter-small .closeBtn {position: absolute !important;min-width:unset;width: 40px !important;height: 40px;}


/* header */
.home .site-header-wrapper.transbg #mainlogo {display:none}
.transheader .transbg #mainlogo circle {fill:var(--diap)}
#mainlogo path {fill:var(--bg-dark)}
#mainlogo circle {fill:var(--accent)}

.mainlogo #mainlogo {width:160px;height:80px;position:absolute;top:0;left:50%;margin-left:-80px}

body, p {font-size:var(--global-font-size);line-height:var(--global-font-line-height)}

/* retreats */
.infoblock {z-index:1}
.infoblock .wp-block-table table {border:none !important}
.infoblock .wp-block-table td, .wp-block-table th {word-break: normal;padding: 0 10px 10px 0;vertical-align: top;border:0;line-height:1.5em}
.infoblock .wp-block-table tr td:first-child {font-family:var(--highlight-font-family);text-transform:uppercase;font-size:0.85em;padding-top:3px}

@media (max-width: 768px) {
		.mainlogo #mainlogo {width:130px;height:57px;left:85px;margin-left:0}
    
}
@media (max-width: 599px) {
  .wp-block-uagb-container.newsletter-small {position:fixed !important;bottom:15px;right:15px;width:calc(100% - 30px) !important}
}    

